# Model Feature Scan Report

_Report generated on: 2025-05-28T02:32:08.115682_

## API: OpenAIApi

### API Summary

* **Total Models Scanned:** 49
* **Average Supported Features per Model:** 7.37

#### Feature Support Across Models:

* Audio: 46.9% (23/49)
* AudioConversion: 100.0% (49/49)
* AudioEmbeddings: 6.1% (3/49)
* AudioGeneration: 6.1% (3/49)
* AudioTranscription: 4.1% (2/49)
* Document: 22.4% (11/49)
* DocumentConversion: 100.0% (49/49)
* DocumentEmbeddings: 6.1% (3/49)
* Image: 28.6% (14/49)
* ImageConversion: 100.0% (49/49)
* ImageEmbeddings: 6.1% (3/49)
* ImageGeneration: 6.1% (3/49)
* StructuredTextGeneration: 30.6% (15/49)
* TextEmbeddings: 6.1% (3/49)
* TextGeneration: 46.9% (23/49)
* Thinking: 46.9% (23/49)
* Tools: 38.8% (19/49)
* Video: 28.6% (14/49)
* VideoConversion: 100.0% (49/49)
* VideoEmbeddings: 6.1% (3/49)
* VideoGeneration: 0.0% (0/49)

### Model Details

#### Model: chatgpt-4o-latest (10/21 features supported)

* ✅ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ✅ Image
* ✅ Audio
* ✅ Video
* ✅ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: dall-e-2 (5/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ✅ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: dall-e-3 (5/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ✅ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: fastembed (9/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ✅ TextEmbeddings
* ✅ ImageEmbeddings
* ✅ AudioEmbeddings
* ✅ VideoEmbeddings
* ✅ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-3.5-turbo (8/21 features supported)

* ✅ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ✅ Audio
* ❌ Video
* ❌ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-3.5-turbo-16k (8/21 features supported)

* ✅ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ✅ Audio
* ❌ Video
* ❌ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-3.5-turbo-instruct (4/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4 (7/21 features supported)

* ✅ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ✅ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4-32k (8/21 features supported)

* ✅ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ✅ Audio
* ❌ Video
* ❌ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4-turbo (11/21 features supported)

* ✅ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ✅ Image
* ✅ Audio
* ✅ Video
* ✅ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4-turbo-preview (8/21 features supported)

* ✅ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ✅ Audio
* ❌ Video
* ❌ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4.1 (11/21 features supported)

* ✅ TextGeneration
* ✅ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ✅ Image
* ✅ Audio
* ✅ Video
* ❌ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4.1-mini (11/21 features supported)

* ✅ TextGeneration
* ✅ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ✅ Image
* ✅ Audio
* ✅ Video
* ❌ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4.1-nano (11/21 features supported)

* ✅ TextGeneration
* ✅ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ✅ Image
* ✅ Audio
* ✅ Video
* ❌ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4.5-preview (12/21 features supported)

* ✅ TextGeneration
* ✅ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ✅ Image
* ✅ Audio
* ✅ Video
* ✅ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4o (12/21 features supported)

* ✅ TextGeneration
* ✅ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ✅ Image
* ✅ Audio
* ✅ Video
* ✅ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4o-audio-preview (4/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4o-mini (12/21 features supported)

* ✅ TextGeneration
* ✅ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ✅ Image
* ✅ Audio
* ✅ Video
* ✅ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4o-mini-audio-preview (4/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4o-mini-realtime-preview (4/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4o-mini-search-preview (4/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4o-mini-transcribe (4/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4o-mini-tts (5/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ✅ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4o-realtime-preview (4/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4o-search-preview (4/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-4o-transcribe (4/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: gpt-image-1 (5/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ✅ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o1-high (12/21 features supported)

* ✅ TextGeneration
* ✅ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ✅ Image
* ✅ Audio
* ✅ Video
* ✅ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o1-low (12/21 features supported)

* ✅ TextGeneration
* ✅ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ✅ Image
* ✅ Audio
* ✅ Video
* ✅ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o1-medium (11/21 features supported)

* ✅ TextGeneration
* ✅ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ✅ Image
* ✅ Audio
* ✅ Video
* ✅ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o1-mini-high (4/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o1-mini-low (4/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o1-mini-medium (4/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o1-preview (7/21 features supported)

* ✅ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ✅ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o1-pro-high (4/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o1-pro-low (4/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o1-pro-medium (4/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o3-high (12/21 features supported)

* ✅ TextGeneration
* ✅ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ✅ Image
* ✅ Audio
* ✅ Video
* ✅ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o3-low (12/21 features supported)

* ✅ TextGeneration
* ✅ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ✅ Image
* ✅ Audio
* ✅ Video
* ✅ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o3-medium (12/21 features supported)

* ✅ TextGeneration
* ✅ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ✅ Image
* ✅ Audio
* ✅ Video
* ✅ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o3-mini-high (9/21 features supported)

* ✅ TextGeneration
* ✅ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ✅ Audio
* ❌ Video
* ❌ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o3-mini-low (9/21 features supported)

* ✅ TextGeneration
* ✅ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ✅ Audio
* ❌ Video
* ❌ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: o3-mini-medium (9/21 features supported)

* ✅ TextGeneration
* ✅ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ✅ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ✅ Audio
* ❌ Video
* ❌ Document
* ✅ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: text-embedding-3-large (9/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ✅ TextEmbeddings
* ✅ ImageEmbeddings
* ✅ AudioEmbeddings
* ✅ VideoEmbeddings
* ✅ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: text-embedding-3-small (9/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ✅ TextEmbeddings
* ✅ ImageEmbeddings
* ✅ AudioEmbeddings
* ✅ VideoEmbeddings
* ✅ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: tts-1 (5/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ✅ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: tts-1-hd (5/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ✅ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ❌ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: whisper-1 (5/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ✅ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

#### Model: whisper-local (5/21 features supported)

* ❌ TextGeneration
* ❌ StructuredTextGeneration
* ❌ ImageGeneration
* ❌ AudioGeneration
* ❌ VideoGeneration
* ❌ Thinking
* ❌ TextEmbeddings
* ❌ ImageEmbeddings
* ❌ AudioEmbeddings
* ❌ VideoEmbeddings
* ❌ DocumentEmbeddings
* ❌ Image
* ❌ Audio
* ❌ Video
* ❌ Document
* ❌ Tools
* ✅ AudioTranscription
* ✅ ImageConversion
* ✅ AudioConversion
* ✅ VideoConversion
* ✅ DocumentConversion

_This report is auto-generated by Litemind. Some features may not be supported due to model limitations, API
restrictions, or potential bugs in Litemind._