# ---------------------------------------------------
# Table file extensions
# ---------------------------------------------------
TABLE_EXTS = {
    "accdb",
    "arff",
    "avro",
    "csv",
    "db",
    "dbf",
    "dif",
    "dta",
    "feather",
    "gnumeric",
    "h5",
    "hdf5",
    "mat",
    "mdb",
    "numbers",
    "ods",
    "orc",
    "ots",
    "parquet",
    "por",
    "psv",
    "sas7bdat",
    "sav",
    "slk",
    "sqlite",
    "tab",
    "tsv",
    "xls",
    "xlsb",
    "xlsm",
    "xlsx",
    "xlt",
    "xltm",
    "xltx",
    "zsav",
}

# ---------------------------------------------------
# Document file extensions (non-Office)
# ---------------------------------------------------
DOCUMENT_EXTS = {
    #   ─── General & e-books ───
    ".abw",
    ".azw",
    ".azw3",
    ".azw4",
    ".bib",
    ".chm",
    ".epub",
    ".fb2",
    ".fb3",
    ".kfx",
    ".lit",
    ".lwp",
    ".mht",
    ".mhtml",
    ".mobi",
    ".pages",
    ".pdf",
    ".prc",
    #   ─── OpenDocument & OpenOffice ───
    ".fodt",
    ".odf",
    ".odm",
    ".odt",
    ".ott",
    ".sdw",
    ".sxw",
    #   ─── Plain-text markup ───
    ".adoc",
    ".asciidoc",
    ".markdown",
    ".md",
    ".mkd",
    ".mkdn",
    ".mdown",
    ".rmd",
    ".rst",
    ".rest",
    ".org",
    ".textile",
    #   ─── Technical XML / SGML ───
    ".dita",
    ".ditamap",
    ".dbk",
    ".docbook",
    ".sgm",
    ".sgml",
    ".xml",
    #   ─── TeX / LaTeX / Texinfo ───
    ".tex",
    ".ltx",
    ".texi",
    ".texinfo",
    ".txi",
    #   ─── Classic Unix / GNU docs ───
    ".man",
    ".1",
    ".2",
    ".3",
    ".4",
    ".5",
    ".6",
    ".7",
    ".8",
    ".9",
    ".info",
    ".roff",
    #   ─── Notebook & config-as-doc ───
    ".ipynb",
    ".json",
    ".toml",
    ".yaml",
    ".yml",
    #   ─── PostScript & derivative ───
    ".dvi",
    ".ps",
    ".xps",
    ".oxps",
    #   ─── Rich-text & legacy word processors ───
    ".rtfd",
    ".wpd",
    ".wps",
}

# ---------------------------------------------------
# Office file extensions
# ---------------------------------------------------
OFFICE_EXTS = {
    # Word
    ".doc",
    ".docx",
    ".docm",
    ".dot",
    ".dotx",
    ".dotm",
    ".rtf",
    ".rtx",
    # Excel
    ".xls",
    ".xlsx",
    ".xlsm",
    ".xlsb",
    ".xlt",
    ".xltx",
    ".xltm",
    ".xla",
    ".xlam",
    ".xlw",
    ".xll",
    ".xlm",
    ".crtx",
    ".odc",
    # PowerPoint
    ".ppt",
    ".pptx",
    ".pptm",
    ".pot",
    ".potx",
    ".potm",
    ".pps",
    ".ppsx",
    ".ppsm",
    ".ppa",
    ".ppam",
    ".thmx",
    # Access
    ".mdb",
    ".mde",
    ".accdb",
    ".accde",
    ".accdt",
    ".accdr",
    # Visio
    ".vsd",
    ".vdx",
    ".vsx",
    ".vtx",
    ".vsdx",
    ".vsdm",
    ".vss",
    ".vssx",
    ".vssm",
    ".vst",
    ".vstx",
    ".vstm",
    # Project
    ".mpp",
    ".mpt",
    ".mpx",
    ".mpd",
    # Publisher
    ".pub",
    # OneNote
    ".one",
    ".onepkg",
    ".onetoc2",
    # Outlook / Mail
    ".pst",
    ".ost",
    ".msg",
    ".oft",
    # Other Office-generated
    ".thmx",
    ".sldx",
    ".sldm",
}

# ---------------------------------------------------
# Archive file extensions
# ---------------------------------------------------
ARCHIVE_EXTS = {
    ".7z",
    ".a",
    ".ace",
    ".alz",
    ".apk",
    ".appx",
    ".ar",
    ".arc",
    ".arj",
    ".asar",
    ".b1",
    ".br",
    ".bz",
    ".bz2",
    ".cab",
    ".cb7",
    ".cba",
    ".cbr",
    ".cbt",
    ".cbz",
    ".cpio",
    ".crx",
    ".dar",
    ".deb",
    ".dmg",
    ".ear",
    ".egg",
    ".gz",
    ".hqx",
    ".img",
    ".ipa",
    ".iso",
    ".jar",
    ".lha",
    ".lz",
    ".lz4",
    ".lzh",
    ".lzma",
    ".lzo",
    ".msi",
    ".msix",
    ".msixbundle",
    ".nupkg",
    ".pak",
    ".par",
    ".pax",
    ".pkg",
    ".pkg.tar.xz",
    ".pkg.tar.zst",
    ".rar",
    ".rpm",
    ".sar",
    ".sit",
    ".sitx",
    ".sz",
    ".tar",
    ".tar.bz2",
    ".tar.gz",
    ".tar.xz",
    ".tar.zst",
    ".taz",
    ".tbz",
    ".tbz2",
    ".tgz",
    ".tlz",
    ".txz",
    ".tz",
    ".tzst",
    ".war",
    ".whl",
    ".wim",
    ".xip",
    ".xpi",
    ".xz",
    ".z",
    ".zip",
    ".zoo",
    ".zst",
    ".zstd",
}

# ---------------------------------------------------
# General-purpose programming language extensions
# ---------------------------------------------------
PROG_LANG_EXTS = {
    ".4gl",
    ".8xp",
    ".a51",
    ".abap",
    ".ada",
    ".adb",
    ".ads",
    ".agda",
    ".asm",
    ".au3",
    ".awk",
    ".bas",
    ".bb",
    ".bmx",
    ".boo",
    ".brs",
    ".c",
    ".c++",
    ".cc",
    ".cp",
    ".cpp",
    ".cs",
    ".cu",
    ".cuh",
    ".cxx",
    ".d",
    ".dart",
    ".ddl",
    ".def",
    ".di",
    ".dpr",
    ".e",
    ".erl",
    ".ex",
    ".exs",
    ".f",
    ".f03",
    ".f08",
    ".f90",
    ".f95",
    ".for",
    ".forth",
    ".fs",
    ".fsi",
    ".fsx",
    ".fsscript",
    ".gd",
    ".gemspec",
    ".go",
    ".groovy",
    ".gs",
    ".gsh",
    ".gvy",
    ".gy",
    ".h",
    ".h++",
    ".hh",
    ".hpp",
    ".hxx",
    ".hx",
    ".hxml",
    ".java",
    ".jl",
    ".jmod",
    ".js",
    ".json5",
    ".jsx",
    ".kt",
    ".kts",
    ".l",
    ".lhs",
    ".lisp",
    ".lsp",
    ".lua",
    ".luac",
    ".m",
    ".mak",
    ".mjs",
    ".ml",
    ".mli",
    ".mll",
    ".mly",
    ".mm",
    ".nim",
    ".nimble",
    ".nims",
    ".nix",
    ".nu",
    ".objc",
    ".objcpp",
    ".odin",
    ".odinfile",
    ".osm",
    ".p",
    ".pas",
    ".pbi",
    ".perl",
    ".pl",
    ".pm",
    ".purs",
    ".py",
    ".pyi",
    ".pyw",
    ".pyx",
    ".pxd",
    ".pxi",
    ".q",
    ".R",
    ".r",
    ".rake",
    ".rb",
    ".rs",
    ".rx",
    ".s",
    ".sas",
    ".scala",
    ".scm",
    ".scss",
    ".sed",
    ".shader",
    ".sml",
    ".sol",
    ".sv",
    ".svh",
    ".swift",
    ".tcl",
    ".tf",
    ".ts",
    ".tsx",
    ".v",
    ".vala",
    ".vb",
    ".vba",
    ".vh",
    ".vy",
    ".wasm",
    ".wat",
    ".xsd",
    ".xsl",
    ".xslt",
    ".zig",
    ".zone",
    ".cbl",
    ".cob",  # COBOL
    ".elm",  # Elm (FP, compiled)
    ".ktm",  # Kotlin script variant
}

# ---------------------------------------------------
# Interpreter-first script / config extensions
# ---------------------------------------------------
SCRIPT_EXTS = {
    # Shell & batch
    ".bash",
    ".bat",
    ".cmd",
    ".csh",
    ".fish",
    ".ksh",
    ".ps1",
    ".psd1",
    ".psm1",
    ".sh",
    ".tcsh",
    ".zsh",
    # ASP / server-side script fragments
    ".ash",
    ".axd",
    ".asax",
    ".ascx",
    ".ashx",
    ".asmx",
    ".asp",
    ".aspx",
    # DevOps & build helpers
    ".cue",
    ".dockerfile",
    ".ini",
    ".kql",
    ".pbxproj",
    ".pbx",
    # Data-pipeline & DB scripts
    ".csv",
    ".psv",
    ".tsv",
    ".sql",
    ".sqlite",
    # Mark-up templating & infra
    ".gql",
    ".graphql",
    ".handlebars",
    ".hbs",
    ".sass",
    ".sls",
    ".styl",
    # Config / manifest languages
    ".yaml",
    ".yml",
    # Windows & CGI
    ".vbs",
    ".wsf",
    ".cgi",
    ".command",
}

# ---------------------------------------------------
# Image file extensions
# ---------------------------------------------------
IMAGE_EXTS = {
    ".3fr",
    ".ai",
    ".ani",
    ".apng",
    ".ari",
    ".arw",
    ".astc",
    ".avif",
    ".avifs",
    ".bay",
    ".blp",
    ".bmp",
    ".bpg",
    ".btf",
    ".bw",
    ".cap",
    ".cdr",
    ".cgm",
    ".cin",
    ".cr2",
    ".cr3",
    ".crw",
    ".cur",
    ".dcm",
    ".dcr",
    ".dcs",
    ".dds",
    ".dib",
    ".dng",
    ".dpx",
    ".emf",
    ".eps",
    ".erf",
    ".exr",
    ".farbfeld",
    ".ff",
    ".fig",
    ".flif",
    ".gbr",
    ".gif",
    ".gng",
    ".gpr",
    ".hdr",
    ".heic",
    ".heics",
    ".heif",
    ".heifs",
    ".icb",
    ".icns",
    ".ico",
    ".iiq",
    ".j2k",
    ".j2p",
    ".jbig",
    ".jbig2",
    ".jfi",
    ".jfif",
    ".jif",
    ".jp2",
    ".jp4",
    ".jpe",
    ".jpeg",
    ".jpf",
    ".jpg",
    ".jpm",
    ".jpx",
    ".jxl",
    ".k25",
    ".kdc",
    ".ktx",
    ".ktx2",
    ".mef",
    ".mng",
    ".mos",
    ".mrw",
    ".nef",
    ".nrw",
    ".odg",
    ".ora",
    ".orf",
    ".pbm",
    ".pcx",
    ".pef",
    ".pfm",
    ".pgf",
    ".pgm",
    ".pic",
    ".pict",
    ".png",
    ".pnm",
    ".ppm",
    ".psd",
    ".ptx",
    ".pvr",
    ".pvr3",
    ".pxn",
    ".qoi",
    ".raf",
    ".raw",
    ".rgbe",
    ".rle",
    ".rw2",
    ".rwl",
    ".sai",
    ".sgi",
    ".sketch",
    ".sr2",
    ".srf",
    ".srw",
    ".sun",
    ".svg",
    ".tga",
    ".tif",
    ".tiff",
    ".vda",
    ".wbmp",
    ".webp",
    ".wmf",
    ".x3f",
    ".xbm",
    ".xpm",
}

# ---------------------------------------------------
# Audio file extensions
# ---------------------------------------------------
AUDIO_EXTS = {
    ".2sf",
    ".669",
    ".8svx",
    ".aa3",
    ".aac",
    ".abc",
    ".ac3",
    ".act",
    ".adts",
    ".aif",
    ".aifc",
    ".aiff",
    ".amb",
    ".amr",
    ".aob",
    ".ape",
    ".au",
    ".awb",
    ".bwf",
    ".caf",
    ".cda",
    ".dct",
    ".dff",
    ".dls",
    ".dsf",
    ".dts",
    ".ec3",
    ".f4a",
    ".f4b",
    ".flac",
    ".flp",
    ".gbs",
    ".gsf",
    ".gsm",
    ".gym",
    ".hca",
    ".hps",
    ".it",
    ".kar",
    ".kss",
    ".la",
    ".lrc",
    ".m3u",
    ".m3u8",
    ".m4a",
    ".m4b",
    ".m4p",
    ".m4r",
    ".mdl",
    ".mid",
    ".midi",
    ".mlp",
    ".mod",
    ".mp1",
    ".mp2",
    ".mp3",
    ".mpa",
    ".mpc",
    ".mpga",
    ".mpl",
    ".mptm",
    ".mpu",
    ".mtm",
    ".mus",
    ".mxp",
    ".ncw",
    ".nki",
    ".nkm",
    ".nsf",
    ".oga",
    ".ogg",
    ".oma",
    ".omf",
    ".opus",
    ".plc",
    ".pls",
    ".psf",
    ".psf2",
    ".qsf",
    ".ra",
    ".rf64",
    ".rmi",
    ".rsn",
    ".s3m",
    ".sam",
    ".sap",
    ".sf2",
    ".sfz",
    ".sid",
    ".slp",
    ".smpl",
    ".spc",
    ".spx",
    ".ssf",
    ".tak",
    ".tta",
    ".umx",
    ".usf",
    ".vgm",
    ".vgz",
    ".voc",
    ".vox",
    ".w64",
    ".wav",
    ".wave",
    ".wma",
    ".wv",
    ".wve",
    ".xa",
    ".xm",
    ".xma",
    ".xmf",
    ".ym",
    ".ypk",
    ".yps",
    ".ytka",
    ".zvr",
}

# ---------------------------------------------------
# Video file extensions
# ---------------------------------------------------
VIDEO_EXTS = {
    ".264",
    ".265",
    ".3g2",
    ".3gp",
    ".amv",
    ".asf",
    ".av1",
    ".avchd",
    ".avi",
    ".avs",
    ".bik",
    ".bik2",
    ".bk2",
    ".blv",
    ".braw",
    ".cam",
    ".cine",
    ".dat",
    ".divx",
    ".dpg",
    ".drc",
    ".dv",
    ".dvr",
    ".dvr-ms",
    ".evo",
    ".f4p",
    ".f4v",
    ".flc",
    ".fli",
    ".flv",
    ".gifv",
    ".gvi",
    ".gxf",
    ".h264",
    ".h265",
    ".hevc",
    ".ivf",
    ".lrv",
    ".m1v",
    ".m2p",
    ".m2t",
    ".m2ts",
    ".m2v",
    ".m4e",
    ".m4s",
    ".m4u",
    ".m4v",
    ".mj2",
    ".mjpeg",
    ".mjpg",
    ".mk3d",
    ".mkv",
    ".mov",
    ".mp4",
    ".mp4v",
    ".mpe",
    ".mpeg",
    ".mpg",
    ".mpg2",
    ".mpv",
    ".mt2s",
    ".mts",
    ".mtv",
    ".mve",
    ".mxf",
    ".nsv",
    ".nut",
    ".ogm",
    ".ogv",
    ".ogx",
    ".pmf",
    ".pns",
    ".pss",
    ".pva",
    ".r3d",
    ".rec",
    ".rm",
    ".rmvb",
    ".rpl",
    ".rv",
    ".smk",
    ".smv",
    ".svi",
    ".swf",
    ".tod",
    ".trp",
    ".tsv",
    ".vcd",
    ".vdr",
    ".vid",
    ".video",
    ".viv",
    ".vivo",
    ".vob",
    ".vp6",
    ".vro",
    ".webm",
    ".wm",
    ".wmv",
    ".wow",
    ".wrf",
    ".wtv",
    ".xvid",
    ".y4m",
    ".yuv",
}

# ---------------------------------------------------
# Web file extensions
# ---------------------------------------------------
WEB_EXTS = {
    ".action",
    ".art",
    ".ascx",
    ".ashx",
    ".asmx",
    ".asp",
    ".aspx",
    ".astro",
    ".atom",
    ".axd",
    ".bml",
    ".builder",
    ".cfc",
    ".cfm",
    ".cfml",
    ".coldfusion",
    ".cshtml",
    ".cyclr",
    ".django",
    ".do",
    ".dust",
    ".ehtml",
    ".ejs",
    ".erb",
    ".fhtml",
    ".ftl",
    ".ftlh",
    ".ftlx",
    ".gohtml",
    ".gsp",
    ".gtmpl",
    ".haml",
    ".hbs",
    ".hjs",
    ".htm",
    ".html",
    ".j2",
    ".jade",
    ".jhtml",
    ".jinja",
    ".jinja2",
    ".jsf",
    ".jshtml",
    ".jsp",
    ".jspf",
    ".jspx",
    ".kit",
    ".latte",
    ".liquid",
    ".lucee",
    ".mako",
    ".makolet",
    ".marko",
    ".mustache",
    ".mustache.php",
    ".mxml",
    ".njk",
    ".njs",
    ".php",
    ".php3",
    ".php4",
    ".php5",
    ".php7",
    ".phps",
    ".phtml",
    ".psp",
    ".pt",
    ".pug",
    ".rhtml",
    ".riot",
    ".rjs",
    ".rss",
    ".rxml",
    ".shtml",
    ".slim",
    ".spt",
    ".sshtml",
    ".ssi",
    ".ssihtml",
    ".st",
    ".stpl",
    ".svelte",
    ".swig",
    ".swx",
    ".tag",
    ".tml",
    ".tmpl",
    ".tmpl.html",
    ".tpl",
    ".tt",
    ".tt2",
    ".twig",
    ".twig.html",
    ".vbhtml",
    ".velocity",
    ".vm",
    ".vue",
    ".vxml",
    ".wml",
    ".wsgi",
    ".xhtml",
    ".xhtml.jade",
    ".xhtml.vm",
    ".zpt",
    ".ztl",
}

# ---------------------------------------------------
# Executable file extensions
# ---------------------------------------------------
EXECUTABLE_EXTS = {".bin", ".com", ".exe"}

# ---------------------------------------------------
# Other binary file extensions
# ---------------------------------------------------
OTHER_BINARY_EXTS = {
    ".dex",
    ".dll",
    ".dylib",
    ".eot",
    ".elf",
    ".hex",
    ".ko",
    ".lib",
    ".nexe",
    ".obj",
    ".o",
    ".pfa",
    ".pfb",
    ".pyc",
    ".pyd",
    ".pyo",
    ".rom",
    ".so",
    ".class",
    ".ttc",
    ".ttf",
    ".otf",
    ".ufo",
    ".woff",
    ".woff2",
    ".sys",
    ".ax",
    ".ocx",
    ".drv",
    ".vxd",
    ".fon",
    ".otc",
    ".cff",
    ".bdf",
    ".pcf",
    ".xll",
    ".msu",
    ".odex",
    ".vdex",
    ".prx",
    ".s19",
    ".efi",
}
